Bug 661182 (CVE-2010-4343) - CVE-2010-4343 kernel: bfa driver sysfs crash
Summary: CVE-2010-4343 kernel: bfa driver sysfs crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4343
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 659880
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 02:23 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:30:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Eugene Teo (Security Response) 2010-12-08 02:23:57 UTC
The port data structure related to fc_host statistics collection is not initialized. This causes system crash when reading the fc_host statistics. The fix is to initialize port structure during driver attach.

This can be triggered by reading the fc statistics files under /sys/class/fc_host/host#/statistics.

A bfa adapter must be present in the system for the problem to occur.

Upstream commit:
http://git.kernel.org/linus/7873ca4e4401f0ecd8868bf1543113467e6bae61

Reference:
http://www.spinics.net/lists/linux-scsi/msg43772.html

Comment 3 Eugene Teo (Security Response) 2010-12-20 06:34:01 UTC
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat
Enterprise Linux 4 as it did not include support for the Brocade Fibre Channel Host Bus Adapter driver. It did not affect the version of Linux kernels as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as they have the included the fix for this issue. A future kernel update in Red Hat Enterprise Linux 5 may address this flaw.

Comment 4 errata-xmlrpc 2011-01-13 22:03:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Comment 5 errata-xmlrpc 2011-01-14 09:03:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.